precision highp float;

uniform sampler2D tex;
uniform sampler2D alpha_tex;
uniform float alpha_mult;
uniform float iGlobalTime_hi;
uniform float iGlobalTime_lo; 
varying vec2 tex_coord;

float iGlobalTime;

vec2 frag_coord;
const float divs = 12.0;
const vec2 iResolution = vec2(1.0,1.0);





void main( void )
{
 iGlobalTime = iGlobalTime_lo + iGlobalTime_hi;
 vec4 light;
  vec2 p = -1.0 + 2.0 * tex_coord.xy / iResolution.xy;
  vec2 uv;
    
  float radiusSq = dot(p,p);
    
  float f =(1.0 - sqrt(1.0 - radiusSq))/radiusSq; 
  
   uv.x = p.x*f + iGlobalTime/10.0;
   uv.y = p.y*f - iGlobalTime/10.0;
 light.rgba = texture2D(tex, uv);

 light.a *= texture2D(alpha_tex, tex_coord.st).r;

 gl_FragColor = vec4(light.rgba);

}


