uniform sampler2D tex;
uniform sampler2D alpha_tex;
uniform float alpha_mult;

uniform float iGlobalTime_lo;
uniform float iGlobalTime_hi;

varying vec2 tex_coord;
varying vec3 tex_normal;
varying vec3 color;

void main(void){ 
 float shade;
 vec4 light;
 shade = dot(normalize(tex_normal), vec3(1.0, 0.0, 0.0));

 shade+=0.75;

// light = vec4(normalize(color.rgb)* shade , 1.0 );


 light= vec4(texture2D(tex, tex_coord.st).rgb * shade, alpha_mult);
 gl_FragColor = light; 
//texture2D(tex, tex_coord.st)*vec4(1.0f, 1.0f, 1.0f, alpha_mult);
}

